%
%    Copyright (C) 2008  Colin Caprani - www.colincaprani.com
%
%    This program is free software: you can redistribute it and/or modify
%    it under the terms of the GNU General Public License as published by
%    the Free Software Foundation, either version 3 of the License, or
%    (at your option) any later version.
%
%    This program is distributed in the hope that it will be useful,
%    but WITHOUT ANY WARRANTY; without even the implied warranty of
%    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%    GNU General Public License for more details.
%
%    You should have received a copy of the GNU General Public License
%    along with this program.  If not, see <http://www.gnu.org/licenses/>.

function Z = MinZ(f_allow,Mt,Ms,pl)
% This function calculates a minimum section modulus for given allowable
% stresses, self-weight and imposed moments and prestress loss.
% Units are:
% P - kN | M - kNm | e - mm | Zb,Zt - mm3 | A - mm2

Mt = Mt*1e6; Ms = Ms*1e6;
Mimp = Ms - Mt;
f_allow = f_allow(:);
ftt = f_allow(1); fct = f_allow(2); % transfer
ftw = f_allow(3); fcw = f_allow(4); % working

Zt = ((1-pl)*Mt+Mimp)/(fcw-pl*ftt);
Zb = ((1-pl)*Mt+Mimp)/(fct-pl*ftw);
Z = [Zb Zt]';