%
%    Copyright (C) 2008  Colin Caprani - www.colincaprani.com
%
%    This program is free software: you can redistribute it and/or modify
%    it under the terms of the GNU General Public License as published by
%    the Free Software Foundation, either version 3 of the License, or
%    (at your option) any later version.
%
%    This program is distributed in the hope that it will be useful,
%    but WITHOUT ANY WARRANTY; without even the implied warranty of
%    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%    GNU General Public License for more details.
%
%    You should have received a copy of the GNU General Public License
%    along with this program.  If not, see <http://www.gnu.org/licenses/>.

function Section_Check(Mt,Ms)
% Units are:
% P - kN | M - kNm | e - mm | Zb,Zt - mm3 | A - mm2

[A Zt Zb I yt yb] = get_sec_props();
[P e loss_t loss_s f_allow] = get_ps_props();

Pt = P*loss_t; Ps = P*loss_s;

Magnel(Mt,Ms,1);
figure; 
subplot(2,1,1); hold on;
title('Transfer Stresses');
stress(Pt,e,Mt,A,Zt,Zb,1,1);
subplot(2,1,2); hold on;
title('Service Stresses');
stress(Ps,e,Ms,A,Zt,Zb,1,2);